/v0-projects | Type: Application | PCID required: Yes
Tools
v0_projects_assign
Assign Project to Chat Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
projectId | string | Yes | — | The ID of the project to assign. |
chatId | string | Yes | — | The ID of the chat to assign the project to. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"projectId": {
"type": "string",
"description": "The ID of the project to assign."
},
"chatId": {
"type": "string",
"description": "The ID of the chat to assign the project to."
}
},
"required": [
"PCID",
"projectId",
"chatId"
]
}
v0_projects_create
Create Project Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
description | string | No | — | A brief summary of the project’s purpose. |
environmentVariables | object[] | No | — | A list of key-value pairs used to define runtime variables for the project. |
icon | string | No | — | An icon identifier to visually represent the project. |
instructions | string | No | — | Guidance or goals that provide context for the model when working within the project. |
name | string | Yes | — | The name of the project. |
privacy | string | No | — | The privacy setting for the project. For user accounts, this is always “private”. For team/enterprise accounts, this can be either “private” or “team”. |
vercelProjectId | string | No | — | The ID of an existing Vercel project to link to. If not provided, a new Vercel project will be created. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"description": {
"type": "string",
"description": "A brief summary of the project’s purpose."
},
"environmentVariables": {
"type": "array",
"items": {
"type": "object",
"properties": {
"key": {
"type": "string",
"description": "The key value"
},
"value": {
"type": "string",
"description": "The value value"
}
},
"required": [
"key",
"value"
]
},
"description": "A list of key-value pairs used to define runtime variables for the project."
},
"icon": {
"type": "string",
"description": "An icon identifier to visually represent the project."
},
"instructions": {
"type": "string",
"description": "Guidance or goals that provide context for the model when working within the project."
},
"name": {
"type": "string",
"description": "The name of the project."
},
"privacy": {
"type": "string",
"description": "The privacy setting for the project. For user accounts, this is always \"private\". For team/enterprise accounts, this can be either \"private\" or \"team\".",
"enum": [
"private",
"team"
]
},
"vercelProjectId": {
"type": "string",
"description": "The ID of an existing Vercel project to link to. If not provided, a new Vercel project will be created."
}
},
"required": [
"PCID",
"name"
]
}
v0_projects_create_env_vars
Create Environment Variables Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
projectId | string | Yes | — | The unique identifier of the project where environment variables should be created. |
decrypted | string | No | — | Whether to return decrypted values. Defaults to false (encrypted). |
environmentVariables | object[] | Yes | — | An array of environment variables to create with key and value fields. |
upsert | boolean | No | — | Whether to overwrite existing environment variables with the same keys. Defaults to false. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"projectId": {
"type": "string",
"description": "The unique identifier of the project where environment variables should be created."
},
"decrypted": {
"type": "string",
"description": "Whether to return decrypted values. Defaults to false (encrypted).",
"enum": [
"true",
"false"
]
},
"environmentVariables": {
"type": "array",
"items": {
"type": "object",
"properties": {
"key": {
"type": "string",
"description": "The name of the environment variable."
},
"value": {
"type": "string",
"description": "The value of the environment variable."
}
},
"required": [
"key",
"value"
]
},
"description": "An array of environment variables to create with key and value fields."
},
"upsert": {
"type": "boolean",
"description": "Whether to overwrite existing environment variables with the same keys. Defaults to false."
}
},
"required": [
"PCID",
"projectId",
"environmentVariables"
]
}
v0_projects_delete
Delete Project Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
projectId | string | Yes | — | The unique identifier of the project to delete. This must be passed as a path parameter in the URL. |
deleteAllChats | string | No | — | If true, deletes all the chats associated with the given project ID. Deleting is permanent. Defaults to false. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"projectId": {
"type": "string",
"description": "The unique identifier of the project to delete. This must be passed as a path parameter in the URL."
},
"deleteAllChats": {
"type": "string",
"description": "If true, deletes all the chats associated with the given project ID. Deleting is permanent. Defaults to false.",
"enum": [
"true",
"false"
]
}
},
"required": [
"PCID",
"projectId"
]
}
v0_projects_delete_env_vars
Delete Environment Variables Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
projectId | string | Yes | — | The unique identifier of the project whose environment variables should be deleted. |
environmentVariableIds | string[] | Yes | — | An array of environment variable IDs to delete. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"projectId": {
"type": "string",
"description": "The unique identifier of the project whose environment variables should be deleted."
},
"environmentVariableIds": {
"type": "array",
"items": {
"type": "string"
},
"description": "An array of environment variable IDs to delete."
}
},
"required": [
"PCID",
"projectId",
"environmentVariableIds"
]
}
v0_projects_deployments_create
Create Deployment Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
chatId | string | Yes | — | Chat Id |
projectId | string | Yes | — | Project Id |
versionId | string | Yes | — | Version Id |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"chatId": {
"type": "string",
"description": "Chat Id"
},
"projectId": {
"type": "string",
"description": "Project Id"
},
"versionId": {
"type": "string",
"description": "Version Id"
}
},
"required": [
"PCID",
"chatId",
"projectId",
"versionId"
]
}
v0_projects_deployments_delete
Delete Deployment Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
deploymentId | string | Yes | — | Path parameter “deploymentId” |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"deploymentId": {
"type": "string",
"description": "Path parameter \"deploymentId\""
}
},
"required": [
"PCID",
"deploymentId"
]
}
v0_projects_deployments_find
Find Deployments Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
projectId | string | Yes | — | The ID of the project to find deployments for |
chatId | string | Yes | — | The ID of the chat to find deployments for |
versionId | string | Yes | — | The ID of the version to find deployments for |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"projectId": {
"type": "string",
"description": "The ID of the project to find deployments for"
},
"chatId": {
"type": "string",
"description": "The ID of the chat to find deployments for"
},
"versionId": {
"type": "string",
"description": "The ID of the version to find deployments for"
}
},
"required": [
"PCID",
"projectId",
"chatId",
"versionId"
]
}
v0_projects_deployments_find_errors
Find Deployment Errors Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
deploymentId | string | Yes | — | The unique identifier of the deployment to inspect for errors. Provided as a path parameter. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"deploymentId": {
"type": "string",
"description": "The unique identifier of the deployment to inspect for errors. Provided as a path parameter."
}
},
"required": [
"PCID",
"deploymentId"
]
}
v0_projects_deployments_find_logs
Find Deployment Logs Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
deploymentId | string | Yes | — | The unique identifier of the deployment to retrieve logs for. Provided as a path parameter. |
since | number | No | — | A UNIX timestamp (in seconds) used to filter logs. Returns only log entries generated after the specified time. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"deploymentId": {
"type": "string",
"description": "The unique identifier of the deployment to retrieve logs for. Provided as a path parameter."
},
"since": {
"type": "number",
"description": "A UNIX timestamp (in seconds) used to filter logs. Returns only log entries generated after the specified time."
}
},
"required": [
"PCID",
"deploymentId"
]
}
v0_projects_deployments_get_by_id
Get Deployment Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
deploymentId | string | Yes | — | Path parameter “deploymentId” |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"deploymentId": {
"type": "string",
"description": "Path parameter \"deploymentId\""
}
},
"required": [
"PCID",
"deploymentId"
]
}
v0_projects_find
Find ProjectsShow inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
}
},
"required": [
"PCID"
]
}
v0_projects_find_env_vars
Find Environment Variables Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
projectId | string | Yes | — | The unique identifier of the project whose environment variables should be retrieved. |
decrypted | string | No | — | Whether to return decrypted values. Defaults to false (encrypted). |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"projectId": {
"type": "string",
"description": "The unique identifier of the project whose environment variables should be retrieved."
},
"decrypted": {
"type": "string",
"description": "Whether to return decrypted values. Defaults to false (encrypted).",
"enum": [
"true",
"false"
]
}
},
"required": [
"PCID",
"projectId"
]
}
v0_projects_get_by_chat_id
Get Project by Chat ID Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
chatId | string | Yes | — | The ID of the chat to retrieve the associated project for. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"chatId": {
"type": "string",
"description": "The ID of the chat to retrieve the associated project for."
}
},
"required": [
"PCID",
"chatId"
]
}
v0_projects_get_by_id
Get Project by ID Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
projectId | string | Yes | — | The unique identifier of the project to retrieve. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"projectId": {
"type": "string",
"description": "The unique identifier of the project to retrieve."
}
},
"required": [
"PCID",
"projectId"
]
}
v0_projects_get_env_var
Get Environment Variable Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
projectId | string | Yes | — | The unique identifier of the project that owns the environment variable. |
environmentVariableId | string | Yes | — | The unique identifier of the environment variable to retrieve. |
decrypted | string | No | — | Whether to return decrypted values. Defaults to false (encrypted). |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"projectId": {
"type": "string",
"description": "The unique identifier of the project that owns the environment variable."
},
"environmentVariableId": {
"type": "string",
"description": "The unique identifier of the environment variable to retrieve."
},
"decrypted": {
"type": "string",
"description": "Whether to return decrypted values. Defaults to false (encrypted).",
"enum": [
"true",
"false"
]
}
},
"required": [
"PCID",
"projectId",
"environmentVariableId"
]
}
v0_projects_hooks_create
Create Hook Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
chatId | string | No | — | The ID of a chat to scope the hook to. |
events | string[] | Yes | — | List of event types the hook should subscribe to. |
name | string | Yes | — | A human-readable name for the hook. |
url | string | Yes | — | The target URL to receive the webhook payloads. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"chatId": {
"type": "string",
"description": "The ID of a chat to scope the hook to."
},
"events": {
"type": "array",
"items": {
"type": "string",
"enum": [
"chat.created",
"chat.updated",
"chat.deleted",
"message.created",
"message.updated",
"message.deleted",
"message.finished"
]
},
"description": "List of event types the hook should subscribe to."
},
"name": {
"type": "string",
"description": "A human-readable name for the hook."
},
"url": {
"type": "string",
"description": "The target URL to receive the webhook payloads."
}
},
"required": [
"PCID",
"events",
"name",
"url"
]
}
v0_projects_hooks_delete
Delete Hook Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
hookId | string | Yes | — | The ID of the webhook to delete. Provided as a path parameter. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"hookId": {
"type": "string",
"description": "The ID of the webhook to delete. Provided as a path parameter."
}
},
"required": [
"PCID",
"hookId"
]
}
v0_projects_hooks_find
Find HooksShow inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
}
},
"required": [
"PCID"
]
}
v0_projects_hooks_get_by_id
Get Hook Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
hookId | string | Yes | — | The unique identifier of the hook to retrieve. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"hookId": {
"type": "string",
"description": "The unique identifier of the hook to retrieve."
}
},
"required": [
"PCID",
"hookId"
]
}
v0_projects_hooks_update
Update Hook Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
hookId | string | Yes | — | The ID of the webhook to update. Provided as a path parameter. |
events | string[] | No | — | Updated list of event types to subscribe to. |
name | string | No | — | A new name for the hook. |
url | string | No | — | A new URL to send webhook payloads to. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"hookId": {
"type": "string",
"description": "The ID of the webhook to update. Provided as a path parameter."
},
"events": {
"type": "array",
"items": {
"type": "string",
"enum": [
"chat.created",
"chat.updated",
"chat.deleted",
"message.created",
"message.updated",
"message.deleted",
"message.finished"
]
},
"description": "Updated list of event types to subscribe to."
},
"name": {
"type": "string",
"description": "A new name for the hook."
},
"url": {
"type": "string",
"description": "A new URL to send webhook payloads to."
}
},
"required": [
"PCID",
"hookId"
]
}
v0_projects_integrations_vercel_projects_create
Create Vercel Project Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
name | string | Yes | — | The name to assign to the new Vercel project. |
projectId | string | Yes | — | The ID of the v0 project to link to the new Vercel project. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"name": {
"type": "string",
"description": "The name to assign to the new Vercel project."
},
"projectId": {
"type": "string",
"description": "The ID of the v0 project to link to the new Vercel project."
}
},
"required": [
"PCID",
"name",
"projectId"
]
}
v0_projects_integrations_vercel_projects_find
Find Vercel ProjectsShow inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
}
},
"required": [
"PCID"
]
}
v0_projects_update
Update Project Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
projectId | string | Yes | — | The unique identifier of the project to update. Provided as a path parameter. |
description | string | No | — | A new description to assign to the project. Helps with identification and organization. |
instructions | string | No | — | Guidance or goals that provide context for the model when working within the project. |
name | string | No | — | A new name to assign to the project. Helps with identification and organization. |
privacy | string | No | — | The privacy setting for the project. For user accounts, this must be “private”. For team/enterprise accounts, this can be either “private” or “team”. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"projectId": {
"type": "string",
"description": "The unique identifier of the project to update. Provided as a path parameter."
},
"description": {
"type": "string",
"description": "A new description to assign to the project. Helps with identification and organization."
},
"instructions": {
"type": "string",
"description": "Guidance or goals that provide context for the model when working within the project."
},
"name": {
"type": "string",
"description": "A new name to assign to the project. Helps with identification and organization."
},
"privacy": {
"type": "string",
"description": "The privacy setting for the project. For user accounts, this must be \"private\". For team/enterprise accounts, this can be either \"private\" or \"team\".",
"enum": [
"private",
"team"
]
}
},
"required": [
"PCID",
"projectId"
]
}
v0_projects_update_env_vars
Update Environment Variables Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
projectId | string | Yes | — | The unique identifier of the project whose environment variables should be updated. |
decrypted | string | No | — | Whether to return decrypted values. Defaults to false (encrypted). |
environmentVariables | object[] | Yes | — | An array of environment variables to update with id and value fields. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"projectId": {
"type": "string",
"description": "The unique identifier of the project whose environment variables should be updated."
},
"decrypted": {
"type": "string",
"description": "Whether to return decrypted values. Defaults to false (encrypted).",
"enum": [
"true",
"false"
]
},
"environmentVariables": {
"type": "array",
"items": {
"type": "object",
"properties": {
"id": {
"type": "string",
"description": "The unique identifier of the environment variable to update."
},
"value": {
"type": "string",
"description": "The new value of the environment variable."
}
},
"required": [
"id",
"value"
]
},
"description": "An array of environment variables to update with id and value fields."
}
},
"required": [
"PCID",
"projectId",
"environmentVariables"
]
}

